{ mkDerivation, aeson, amazonka, amazonka-s3, base, bytestring
, conduit, containers, cryptonite, dhall, directory, either
, ekg-core, filepath, generic-lens, hashable, hedgehog, hspec
, hspec-hedgehog, JuicyPixels, JuicyPixels-extra, lens, lib, mtl
, servant, servant-server, sqlite-simple, temporary, text
, transformers, unliftio, unordered-containers, vector, wai
, wai-middleware-metrics, warp
}:
mkDerivation {
  pname = "image-backup";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    amazonka amazonka-s3 base bytestring conduit cryptonite dhall
    directory either ekg-core filepath generic-lens JuicyPixels
    JuicyPixels-extra lens mtl servant servant-server sqlite-simple
    text unliftio unordered-containers vector wai
    wai-middleware-metrics warp
  ];
  executableHaskellDepends = [ base ];
  testHaskellDepends = [
    aeson amazonka amazonka-s3 base bytestring conduit containers
    cryptonite dhall either filepath generic-lens hashable hedgehog
    hspec hspec-hedgehog lens temporary text transformers
    unordered-containers
  ];
  license = lib.licenses.bsd3;
  mainProgram = "image-backup";
}
