{-# LANGUAGE DerivingVia #-}
{-# LANGUAGE DeriveGeneric #-}
{-# LANGUAGE DataKinds #-}
{-# LANGUAGE TypeOperators #-}
{-# LANGUAGE StrictData #-}
module Config.S3 where

import Dhall.Deriving
import Dhall

-- The S3 credentials provided by environment variables
data ConfigS3 = ConfigS3
  { region :: Text
  , endpoint :: Text
  , bucket :: Text
  }
  deriving (Show, Generic, Eq)
  deriving (FromDhall, ToDhall) via Codec (Field AsIs) ConfigS3
