{-# LANGUAGE DerivingVia #-}
{-# LANGUAGE DeriveGeneric #-}
{-# LANGUAGE DataKinds #-}
{-# LANGUAGE TypeOperators #-}
{-# LANGUAGE StrictData #-}
module Config where

import Dhall.Deriving
import Dhall
import Config.S3 (ConfigS3)
import Config.Watcher (ConfigWatcher)


data Config = Config
  { s3 :: ConfigS3
  , watcher :: ConfigWatcher
  }
  deriving (Show, Generic, Eq)
  deriving (FromDhall, ToDhall) via Codec (Field AsIs) Config
